<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Fb_login extends CI_Controller {

	public function __construct()
	{
		parent::__construct();

		// Load library and url helper
		$this->load->library('Facebook');
		$this->load->helper('url');
	}

	// ------------------------------------------------------------------------

	/**
	 * Index page
	 */
	public function index(){
		$this->load->view('start');
	}
	// ------------------------------------------------------------------------
	/**
	 * Web redirect login example page
	*/
	public function login(){
		$userData = array();
        
        // Check if user is logged in
        if($this->facebook->is_authenticated()){
            // Get user facebook profile details
            $fbUserProfile = $this->facebook->request('get', '/me?fields=id,first_name,last_name,email,link,gender,locale,cover,picture');
			
            // Preparing data for database insertion
            $userData['oauth_provider'] = 'facebook';
            $userData['oauth_uid'] = $fbUserProfile['id'];
            $userData['first_name'] = $fbUserProfile['first_name'];
            $userData['last_name'] = $fbUserProfile['last_name'];
            $userData['email'] = $fbUserProfile['email'];
            $userData['picture'] = $fbUserProfile['picture']['data']['url'];
			
			$userID = '';
			$user_req_email = $userData['email'];
			$check_user_data = $this->db->get_where('user', array('email'=>$user_req_email));
			if($check_user_data->num_rows() == 1){
				$check_user_details = $check_user_data->row_array();
				$userID = $check_user_details['user_id'];
				/* Set Variables For Session */
				$userData['user_name'] = $userData['first_name'].' '.$userData['last_name'];
				$userData['users_id'] = $userID;
				$userData['users_email'] = $userData['email'];
				$userData['login'] = 1;
				/* Set Variables For Session */
			} else if($check_user_data->num_rows() == 0){
				$date_added = date('y-m-d h:i:sa');
				$new_user_data = array(
					'email'=> $userData['email'],
					'first_name'=> $userData['first_name'],
					'last_name'=> $userData['last_name'],
					'name'=> $userData['first_name'].' '.$userData['last_name'],
					'profile_img'=> $userData['picture'],
					'fb_oauth_uid'=> $userData['oauth_uid'],
					'login_with'=> 'Facebook',
					'status'=> 'Active',
					'date_added'=> $date_added
				);
				$this->db->insert('user', $new_user_data);
				$userID = $this->db->insert_id();
				/* Set Variables For Session */
				$userData['user_name'] = $userData['first_name'].' '.$userData['last_name'];
				$userData['users_id'] = $userID;
				$userData['users_email'] = $userData['email'];
				$userData['login'] = 1;
				/* Set Variables For Session */
			}
			$this->session->set_userdata('user_name',$userData['user_name']);
			$this->session->set_userdata('users_id',$userData['users_id']);
			$this->session->set_userdata('users_email',$userData['users_email']);
			$this->session->set_userdata('login',$userData['login']);
            $this->session->set_flashdata('msg_success', 'Logged in Successfully.');
			redirect(base_url(), 'refresh');
            // Get logout URL
            //$data['logoutURL'] = $this->facebook->logout_url();
        }else{  
            // Get login URL
           $data['authURL'] =  $this->facebook->login_url();
		   header("Location:".$data['authURL']);
        }
        
        // Load login & profile view
        // $this->load->view('user_authentication/index',$data);
		//Place Url Where You wanna redirect after login
	}
	// ------------------------------------------------------------------------

	/**
	 * JS SDK login example
	 */
	public function js_login(){
		// Load view
		$this->load->view('examples/js');
	}

	// ------------------------------------------------------------------------

	/**
	 * AJAX request method for positing to facebook feed
	 */
	public function post(){
		header('Content-Type: application/json');
		$result = $this->facebook->request(
			'post',
			'/me/feed',
			['message' => $this->input->post('message')]
		);
		echo json_encode($result);
	}

	// ------------------------------------------------------------------------

	/**
	 * Logout for web redirect example
	 *
	 * @return  [type]  [description]
	 */
	public function logout(){
		$this->facebook->destroy_session();
		redirect(base_url(), redirect);
	}
}