<?php
defined('BASEPATH') OR exit('No direct script access allowed');
//set_include_path(APPPATH . 'third_party/' . PATH_SEPARATOR . get_include_path());
class Home extends CI_Controller {
	/* CONSTRUCTOR */
	public function __construct() {
		parent::__construct();
		header('Access-Control-Allow-Origin: *');
		
		// $facebook_app_id = $this->db->get_where('system_settings', array('type'=>'facebook_app_id'))->row()->description;
		// $facebook_app_secret = $this->db->get_where('system_settings', array('type'=>'facebook_app_secret'))->row()->description;
		
		// $this->config->set_item('facebook_app_id', $facebook_app_id);
		// $this->config->set_item('facebook_app_secret', $facebook_app_secret);
	}
	/* CONSTRUCTOR */

	/***** HOME AUTHPAGE *********/
	public function authenticate(){ 
		if($this->session->userdata('login') == 1){
			redirect(base_url(),'refresh');
		}
		
		$data['page_title'] 	= 'Login - Authentication';
		$data['page_sub_title'] = '';
		$data['login_code']	 	= $this->random_num(7);
		$data['page_name'] 		= 'authenticate';
		$this->load->view('home/login', $data);	
	}
	/***** HOME AUTHPAGE *********/
	public function random_num($size) {
		$alpha_key = '';
		$keys = range('A', 'Z');
		for ($i = 0; $i < 3; $i++) {
			$alpha_key .= $keys[array_rand($keys)];
		}
		$length = $size - 3;
		$key = '';
		$keys = range(0, 9);
		for ($i = 0; $i < $length; $i++) {
			$key .= $keys[array_rand($keys)];
		}
		return $alpha_key . $key;
	}
	/***** HOME REGISTER *********/
	public function register(){ 
		// Validate the user can login
		$result = $this->Db_model->register_user_accounts();

		// Now we verify the result
		if($result == '1'){
			$this->session->set_flashdata('msg_success', 'Registered Successfully.');
			redirect(base_url().'home/authenticate/', 'refresh');
		}else if($result == '2'){
			$this->session->set_flashdata('msg_error', 'Email already exists.');
			redirect(base_url().'home/authenticate/', 'refresh');
		}else if($result == '3'){
			$this->session->set_flashdata('msg_error', 'Password and confirm password does not match!');
			redirect(base_url().'home/authenticate/', 'refresh');
		}else{
			$this->session->set_flashdata('msg_error', 'Something went wrong! Please try again.');
			redirect(base_url().'home/authenticate/', 'refresh');
		}	
	}
	/***** HOME REGISTER *********/

	/***** HOME LOGIN *********/
	public function login(){ 
	
		// Validate the user can login
		$result = $this->Db_model->varify_user_accounts();

		// Now we verify the result
		if($result){
			$this->session->set_userdata('user_name',$result->name);
			$this->session->set_userdata('users_id',$result->user_id);
			$this->session->set_userdata('users_email',$result->email);
			$this->session->set_userdata('login',1);
			$this->session->set_flashdata('msg_success', 'Logged in Successfully.');
			redirect(base_url(), 'refresh');
		}else{
		// If user did validate, 
			$this->session->set_flashdata('msg_error', 'Email or password not correct!');
			redirect(base_url().'home/authenticate/', 'refresh');
		}	
	}
	/***** HOME LOGIN *********/

	/***** HOME LOGOUT *********/
	public function logout(){ 
		$this->session->unset_userdata('login');
		$this->session->sess_destroy();
		$this->session->set_flashdata('msg_success', 'Logged out Successfully!.');
		redirect(base_url().'home/authenticate/', 'refresh');
	}
	/***** HOME LOGOUT *********/

	/***** HOME INDEX *********/
	public function index(){
		if($this->session->userdata('login') != 1){
			redirect(base_url().'home/authenticate','refresh');
		}

		$data['page_title'] 	= 'Games';
		$data['page_sub_title'] = '';
		$data['page_name'] 		= 'games';
		$this->load->view('home/index', $data);
	}
	/***** HOME INDEX *********/
	
	/***** Tournaments *********/
	public function tournaments($param1 = ''){
		if($this->session->userdata('login') != 1){
			redirect(base_url().'home/authenticate','refresh');
		}
		


		if($param1 == ''){
			$data['page_title'] 	= 'Tournament Game';
			$data['page_sub_title'] = '';
			$data['page_name'] 		= 'tournaments';
			$data['ugame_id'] 		= $param1;
			$this->load->view('home/index', $data);
		} else {
			$data['page_title'] 	= 'Start Tournament';
			$data['page_sub_title'] = '';
			$data['page_name'] 		= 'tournaments_play';
			$data['ugame_id'] 		= $param1;
			$this->load->view('home/index', $data);
		}
	}
	/***** Tournaments *********/

	/***** Practice *********/
	public function practice($param1 = ''){
		if($this->session->userdata('login') != 1){
			redirect(base_url().'home/authenticate','refresh');
		}

		if($param1 == ''){
			$data['page_title'] 	= 'Practice Game';
			$data['page_sub_title'] = '';
			$data['page_name'] 		= 'practice';
			$data['ugame_id'] 		= $param1;
			$this->load->view('home/index', $data);
		} else {
			$data['page_title'] 	= 'Practice Game';
			$data['page_sub_title'] = '';
			$data['page_name'] 		= 'practice_play';
			$data['ugame_id'] 		= $param1;
			$this->load->view('home/index', $data);
		}
	}
	/***** Practice *********/

	/***** Category *********/
	public function category($param1 = ''){
		if($this->session->userdata('login') != 1){
			redirect(base_url().'home/authenticate','refresh');
		}

		$data['page_title'] 	= 'Categorised - Game';
		$data['page_sub_title'] = '';
		$data['page_name'] 		= 'category';
		$data['category_id'] 	= $param1;
		$this->load->view('home/index', $data);
	}
	/***** Category *********/

	/***** How to Play *********/
	public function how_to_play($param1 = ''){
		if($this->session->userdata('login') != 1){
			redirect(base_url().'home/authenticate','refresh');
		}

		$data['page_title'] 	= 'How to play';
		$data['page_sub_title'] = '';
		$data['page_name'] 		= 'how_to_play';
		$data['ugame_id'] 		= $param1;
		$this->load->view('home/index', $data);
	}
	/***** How to Play *********/

	/***** About *********/
	public function about(){
		if($this->session->userdata('login') != 1){
			redirect(base_url().'home/authenticate','refresh');
		}

		$data['page_title'] 	= 'About';
		$data['page_sub_title'] = '';
		$data['page_name'] 		= 'about';
		$this->load->view('home/index', $data);
	}
	/***** About *********/

	/***** Submit Game *********/
	public function submit_game(){
		if($this->session->userdata('login') != 1){
			redirect(base_url().'home/authenticate','refresh');
		}

		$data['page_title'] 	= 'Submit a Game';
		$data['page_sub_title'] = '';
		$data['page_name'] 		= 'submit_game';
		$this->load->view('home/index', $data);
	}
	/***** Submit Game *********/

	/***** Contact *********/
	public function contact(){
		if($this->session->userdata('login') != 1){
			redirect(base_url().'home/authenticate','refresh');
		}

		$data['page_title'] 	= 'Contact';
		$data['page_sub_title'] = '';
		$data['page_name'] 		= 'contact';
		$this->load->view('home/index', $data);
	}
	/***** Contact *********/

	/***** Privacy *********/
	public function privacy(){
		if($this->session->userdata('login') != 1){
			redirect(base_url().'home/authenticate','refresh');
		}

		$data['page_title'] 	= 'Privacy Policy';
		$data['page_sub_title'] = '';
		$data['page_name'] 		= 'privacy';
		$this->load->view('home/index', $data);
	}
	/***** Privacy *********/

	/***** Change bottom banner First *********/
	public function random_b_banner_first(){
		$banner3 	= $this->db->query("SELECT * FROM ads_banners WHERE position = 'Bottom 1' AND status = 'Active' ORDER BY RAND() LIMIT 1 ")->row();
		$ads_path3 = base_url() . 'uploads/banners/' . $banner3->banners_image;
		$duration = (int)$banner3->duration*1000;
		$file_headers = @get_headers($ads_path3);
		
		$html_content = '<span id="bottom_first_banner" >';
		if(!$file_headers || $file_headers[0] == 'HTTP/1.1 404 Not Found') { 
			$html_content .= '<img class="banner-bot" style="float: left;" alt="" src="http://placehold.it/728x90">';
		} else { 
			$html_content .= '<img class="banner-bot" style="float: left;" alt="" src="'.$ads_path3.'">';
		} 
		
		$html_content .= '<script id="script_banner_b_first">
								$( document ).ready(function() {
									window.setTimeout(function(){ change_b_banner1(); }, '.$duration.');
								});
							</script>';
		echo $html_content;
		exit;
	}
	/***** Change bottom banner First *********/
	
	/***** Change bottom banner Third *********/
	public function random_b_banner_third(){
		$banner3 	= $this->db->query("SELECT * FROM ads_banners WHERE position = 'Bottom 3' AND status = 'Active' ORDER BY RAND() LIMIT 1 ")->row();
		$ads_path3 = base_url() . 'uploads/banners/' . $banner3->banners_image;
		$duration = (int)$banner3->duration*1000; 
		$file_headers = @get_headers($ads_path3);

		$html_content = '<span id="bottom_third_banner" >';
		if(!$file_headers || $file_headers[0] == 'HTTP/1.1 404 Not Found') { 
			$html_content .= '<img class="banner-bot" src="<?php echo base_url(); ?>assets/home/images/banner-2.jpg" alt="Banner Bottom">';
		} else { 
			$html_content .= '<img class="banner-bot" src="'.$ads_path3.'">';
		} 
		$html_content .= '</span>';

		$html_content .= '<script id="script_banner_b_third">
								$( document ).ready(function() {
									window.setTimeout(function(){ change_b_banner3(); }, '.$duration.');
								});
							</script>';
		echo $html_content;
		exit;
	}
	/***** Change bottom banner Third *********/
	
	
	/***** Tournament info  *********/
	public function save_imp_info(){ 
	
	 
		// Validate the user can login
		$result = $this->Db_model->save_tournament_info();
       // echo json_encode($result); exit;
		// Now we verify the result
		if($result == '1'){
		    $this->session->set_flashdata('msg_success', 'Info save sccuessfully.');
		   $msg = $this->session->flashdata('msg_success');
			//redirect(base_url().'home/authenticate/', 'refresh');
		}else{
		   $this->session->set_flashdata('msg_error', 'Something went wrong! Please try again.');
		    $msg = $this->session->flashdata('msg_error');
			//redirect(base_url().'home/authenticate/', 'refresh');
		}	
		
		echo json_encode($msg); exit;
	}
	/***** Tournament info  *********/
}