<?php 
/* For Google Login Button Only Start Here */
set_include_path(APPPATH . 'third_party/' . PATH_SEPARATOR . get_include_path());
require_once FCPATH .'application/third_party/google_login/vendor/autoload.php';
$clientID = $this->db->get_where('system_settings', array('type'=>'google_client_id'))->row()->description;
$clientSecret = $this->db->get_where('system_settings', array('type'=>'google_client_secret_id'))->row()->description;
$redirectUri = $this->db->get_where('system_settings', array('type'=>'google_redirect_url'))->row()->description;			

$client = new Google_Client();
$client->setClientId($clientID);
$client->setClientSecret($clientSecret);
$client->setRedirectUri($redirectUri);
$client->addScope("email");
$client->addScope("profile");
/* For Google Login Button Only End Here */
?>
<!DOCTYPE html>
<!-- saved from url=(0035)https://www.yeppersgaming.com/login -->
<html lang="en">
    <head>
        <title><?php echo $page_title; ?></title>
        <?php $this->load->view('home/theme/top'); ?>
		<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
		<style>
		.btn-gplus-red {
			font-size: 25px;
			background: #dd4d42;
			color: #fff;
			border-radius: 37px;
			min-width: 55px;
			padding: 11px 0px;
			font-weight: 700;
		}
		.btn-fb-blue {
			font-size: 25px;
			background: #3b5998;
			color: #fff;
			border-radius: 37px;
			min-width: 55px;
			padding: 11px 0px;
			font-weight: 700;
		}
		.btn-twitter {
			font-size: 25px;
			background: #00acee;
			color: #fff;
			border-radius: 37px;
			min-width: 55px;
			padding: 11px 0px;
			font-weight: 700;
		}
		.blue-separator {
			height: 2px;
			background-color: #2d8dc4;
			margin: 20px 70px 20px 70px;
		}
		body{
			background-color: #111111;
		}
		.mobile-view-bg{
			background-color: #111111;
		}
		
		
		/* Header */
		
		.top-bar{
			background-color: #555555;
			position: absolute;
			top: 0;
			right: 0;
			left: 0;
			z-index: 100;
			padding-bottom: 9px;
			font-size: 40px !important;
		}
		
		.btn_top{
			min-width: 130px !important;
			padding: 7px 8px !important;
			font-size: 15px !important;			
		}
		
		.btn_top > span > img {
			width: 24px;
			vertical-align: middle;
		}
		
		.top-menu{
			margin-top: 6px;
			margin-right: 40px;
		}
		
		.top-logo{
			margin-top: 6px;
			margin-left: 40px;
		}
		
		.top-logo > a > img{
			width: 160px;
		}
		
		
		
		
		
		/* Bottom bar */ 
		
		
		.bottom-bar{
			position: absolute;
			bottom: 0;
			background-color: #555555;
		}
		
		.slider-bar{
			display: inline-flex;
		}
		
		.bottom-bar .win-holder{
			margin-left: 0px;
		}
		
		.win-holder img.banner-bot:last-of-type{
			width: 86%;
			margin-top: 10px;
			margin-left: 0;
		}
		
		
		.bottom-bar .win-box{
			left: 0;
			position: relative;
			min-width: 205px;
			max-width: 300px;
			padding: 4px 4px;
			margin-right: 0px;
			position: relative;
			top: 5px;
		}
		
		.trophy > img {
			width: 25px;
		}
		
		.bottom-bar .win-box .spacer{
			height: 60px;
		}
		
		.bottom-bar .win-box .content .nickname{
			font-size: 12px;
			line-height: 15px;
		}
		
		.bottom-bar .win-box .content .win{
			font-size: 10px;
		}
		
		.bottom-bar .win-box .content .bottom-tournament-name{
			font-size: 10px;
		}
		
		
		
		
		.inner_win_holder{
			display: flex;
		}
		
		.win-holder img.banner-bot:last-of-type{
			margin-right: 0px;
		}
		
		
		
		.footer-text-bar{
			height: 22px;
			margin-top: 0;
		}
		
		.footer-text-bar ul.faq-list{
			padding-top: 0px;
			width: 100%;
			position: relative;
			top: 0px;
		}
		
		.footer-text-bar ul.faq-list li{
			font-size: 8px;
		}
		
		
		</style>
    </head>
  
    <body style="height: 547px;">
	
	  <div class="top-bar" style="font-size: 50px;">
                <div class="top-logo">
                    <a href="<?php echo base_url(); ?>">
                        <img src="<?php echo base_url(); ?>assets/home/images/logo-top-bar-beta.png" alt="Logo Top">
                    </a>
                </div>
                
                <div class="top-menu">
                    <a href="<?php echo base_url(); ?>home/authenticate" class="btn btn-menu-blue btn_top"><span>
                        <img src="<?php echo base_url(); ?>assets/home/images/icon-smile.png"></span>LOG IN
                    </a>
                    <a href="<?php echo base_url(); ?>home/authenticate" class="btn btn-menu-green btn_top">
                        <span><img src="<?php echo base_url(); ?>assets/home/images/icon-signin.png"></span>SIGN UP
                    </a>
                    <a href="<?php echo base_url(); ?>home/authenticate" class="btn btn-menu-orange btn_top">
                        <span><img src="<?php echo base_url(); ?>assets/home/images/icon-cube.png"></span>PRACTICE
                    </a>
                    <a href="<?php echo base_url(); ?>home/authenticate" class="btn btn-menu-yellow btn_top">
                        <span><img src="<?php echo base_url(); ?>assets/home/images/icon-flat-cup.png"></span>TOURNAMENTS
                    </a>
                </div>
            </div>
           
        <div class="main-container" data-scale="0.51" style="transform: scale(0.506481); top: -266.5px; left: -320px;">
            
            
            <div class="view-holder">
                
                <!-- Login Page -->
                <div class="login-box">
                    <div class="title">
                        Log in with
                    </div>
					<div class="content">
						<div class="container-fluid text-center">
							<a href="<?php echo $client->createAuthUrl() ?>" class="btn btn-gplus-red" data-onsuccess="onSignIn">
								<i class="fa fa-google"></i>
							</a>
							<a href="<?php echo base_url();?>Fb_login/login" class="btn btn-fb-blue" data-onsuccess="onSignIn">
								<i class="fa fa-facebook"></i>
							</a>
							<?php /*
							<a href="<?php echo base_url();?>twitter" class="btn btn-twitter" data-onsuccess="onSignIn">
								<i class="fa fa-twitter"></i>
							</a>
							*/ ?>
						</div>
						<div class="blue-separator"></div>
                        <form method="post" name="login_form" action="<?php echo base_url(); ?>home/login/">
                            <div class="form-group">
                                <label class="sr-only">Nickname</label>
                                <input type="text" name="user_name" class="form-control" placeholder="E-mail">
                            </div>
                            <div class="form-group">
                                <label class="sr-only">Password</label>
                                <input type="password" name="user_password" class="form-control" placeholder="Password">
                            </div>
							<div class="form-group">
								<label class="" >Captcha Code</label></br>
								<label for="code" id="code" name="code" class="label" style="text-align: center; font-size: 24px; color:#000;"><?php echo $login_code; ?></label>
								<input id="login_code" name="login_code" type="text" autocomplete="none" class="input" readonly value="<?php echo $login_code; ?>" style="display:none;" >
							</div>
							<div class="form-group" >
								<label for="verify_code" class="label" style="color: #fff;">Enter The Above Captcha Code Down Here:</label>
								<input id="verify_code" name="verify_code" onkeyup="verify_login_code()" type="text" onfocus="this.removeAttribute('readonly');"  readonly autocomplete="none" class="form-control" value="" placeholder="Enter Captcha Code Here" required="required" required>
							</div>
							<label style="color: red; display:none;" id="lbl_error_code">*Your Verification Code Didn't Match,<br>Please Enter Same Verification Code.</br></label>
                            <input type="submit" class="btn btn-menu-blue" id="login_btn" value="LOG IN" disabled>
                            </br>
                            <br>
                            <a href="<?php echo base_url(); ?>home/reset/" class="forgot-password">I've forgotten my password</a>
                        </form>
                    </div>
                </div>

                <div class="sign-up-box">
                    <div class="title">
                        Don't have an account yet?
                    </div>
                    <div class="content" style="height:auto; padding-bottom: 50px; padding-top: 49px;">
                        <form method="post" name="register_form" action="<?php echo base_url(); ?>home/register/">
                            <div class="form-group fos_user_registration_form">
                                <label class="sr-only">Fos user registration form</label>
                                <div id="fos_user_registration_form">
                                    <div class="form-group fos_user_registration_form_email">
                                        <label class="sr-only" for="fos_user_registration_form_email">Email</label>
                                        <input class="form-control" placeholder="Email" type="email" id="fos_user_registration_form_email" name="email" required="required">
                                    </div>

                                    <div class="form-group fos_user_registration_form_username">
                                        <label class="sr-only" for="fos_user_registration_form_username">Nickname</label>
                                        <input class="form-control" placeholder="Nickname" type="text" id="fos_user_registration_form_username" name="name" required="required">
                                    </div>

                                    <div class="form-group fos_user_registration_form_plainPassword_first">
                                        <label class="sr-only" for="fos_user_registration_form_plainPassword_first">Password</label>
                                        <input class="form-control" placeholder="Password" type="password" id="fos_user_registration_form_plainPassword_first" name="password1" required="required">
                                    </div>

                                    <div class="form-group fos_user_registration_form_plainPassword_second">
                                        <label class="sr-only" for="fos_user_registration_form_plainPassword_second">Repeat password</label>
                                        <input class="form-control" placeholder="Repeat password" type="password" id="fos_user_registration_form_plainPassword_second" name="password2" required="required">
                                    </div>
                                    <div class="form-group fos_user_registration_form_username">
                                        <label class="text-left" >Choose Date of birth</label>
                                    </div>
									<?php
										$month_back = date("m", strtotime("-18 years"));
										$date_back = date("d", strtotime("-18 years"));
									?>
                                    <div class="form-group fos_user_registration_form_username">
                                        <label class="sr-only" for="fos_user_registration_form_plainPassword_second">Date of Birthday</label>
                                        <fieldset id="birthdate">
											<label for="birthday_year" class="offset">Year</label>
											<select style="border:1px solid #ededed;"  name="birthday_year" id="birthday_year" required="required">
												<option>Choose</option>
												<?php
													$year_max = date("Y", strtotime("-18 years"));
													$year_back = $year_max;
													
													for($i=50; $i>=0; $i--){ ?>
														<option value="<?php echo $year_back; ?>"><?php echo $year_back; ?></option>
												<?php	$year_back = $year_back - 1;
													}
												?>
											</select>
											
											<label for="birthday_month" class="offset">Month</label>
											<select style="border:1px solid #ededed;" name="birthday_month" id="birthday_month" required="required">
												<option>Choose</option>
											</select>
											
											<label for="birthday_day" class="offset">Day</label>
											<select style="border:1px solid #ededed;" name="birthday_day" id="birthday_day" required="required">
												<option>Choose</option>
											</select>
										</fieldset>
                                    </div>
                                    <div class="form-group fos_user_registration_form_username">
										<label><b>Please Note:</b>You must be over 18 to create an account.</label>
                                    </div>
                                </div>
                            </div>                            
                            <button class="btn btn-menu-green submit-form" type="submit">SIGN UP</button>
                        </form>
                    </div>
                </div>
                <!-- Login Page -->

            </div>
			
            
    	</div>
		
		<div class="bottom-bar">
	       <div class="slider-bar">
	             <?php $this->load->view('home/theme/common/bottom-bar'); ?>
	       </div>
	            <?php $this->load->view('home/theme/common/footer'); ?>
	    </div>
		
		
		
		<?php /*
        <script id="script_banner_b_first">
            $( document ).ready(function() {
                window.setTimeout(function(){ change_b_banner1(); }, <?php echo $banner3_add_duration ?>);
            });
        </script>
        <script id="script_banner_b_third">
            $( document ).ready(function() {
                window.setTimeout(function(){ change_b_banner3(); }, <?php echo $banner5_add_duration ?>);
            });
        </script>
        <script>
            function change_b_banner1(){
                $.ajax({
                    type:"POST",
                    url:"<?php echo base_url();?>home/random_b_banner_first",
                    success:function (result) {
                        // $('#script_banner_b_first').remove(); 
                        $('#script_banner_b_first').html('');
                        $('#bottom_first_banner').html(result);
                    }
                });
            }
            
            function change_b_banner3(){
                $.ajax({
                    type:"POST",
                    url:"<?php echo base_url();?>home/random_b_banner_third",
                    success:function (result) {
                        // $('#script_banner_b_third').remove();
                        $('#script_banner_b_third').html('');
                        $('#bottom_third_banner').html(result);
                    }
                });
            } 
        </script>
		*/ ?>
		
        <?php 
            $get_ad_videos = $this->db->query("SELECT banners_video FROM ads_video WHERE status = 'Active' ")->result_array();
            $video_name_array = array();
            foreach($get_ad_videos as $fetch_data){
                array_push($video_name_array, $fetch_data['banners_video']);
            }
        ?>
        <script>
            var video_name_array = '<?php echo json_encode($video_name_array); ?>';
            var company_data=JSON.parse(video_name_array);
            var video_list      = ["HOOTERSCOMMERCIAL.mp4",
                                    "CoorsLightNeverStopsCommercial.mp4",
                                    "FlyboardAirintheUSdesert!.mp4"
                                ];
            var video_index     = 0;
            var video_player    = null;

            function onload(){
                video_player        = document.getElementById("idle_video");
                video_player.setAttribute("src", '<?php echo base_url() ?>uploads/videos/'+video_list[video_index]);
                video_player.play();
            }

            function onVideoEnded(){
                if(video_index < video_list.length - 1){
                    video_index++;
                }
                else{
                    video_index = 0;
                }
                video_player.setAttribute("src", '<?php echo base_url() ?>uploads/videos/'+video_list[video_index]);
                video_player.play();
            }
        </script>
		<script>
			/* date of birth Function Script */
			$("#birthday_year").change(function(){
				var selected_year = $('#birthday_year'). children("option:selected"). val();
				var max_year = <?php echo $year_max ?>;
				var max_month = <?php echo $month_back ?>;
				var month_options = '<option>Choose</option>';
				if(parseInt(selected_year) == parseInt(max_year)){
					for(var i=max_month; i>=1; i--){
						month_options += '<option value="'+i+'">'+i+'</option>';
					}
				} else {
					for(var i=12; i>=1; i--){
						month_options += '<option value="'+i+'">'+i+'</option>';
					}
				}
				$('#birthday_month').html(month_options);
				var dates_options = '<option>Choose</option>';
				$('#birthday_day').html(dates_options);
			});
			$("#birthday_month").change(function(){
				var selected_year = $('#birthday_year'). children("option:selected"). val();
				var selected_month = $('#birthday_month'). children("option:selected"). val();
				
				var max_year = <?php echo $year_max ?>;
				var max_month = <?php echo $month_back ?>;
				var max_date = <?php echo $date_back ?>;
				
				var total_days_in_month = daysInMonth(selected_month, selected_year)
				
				var dates_options = '<option>Choose</option>';
				if(parseInt(selected_month) == parseInt(max_month)){
					for(var i=max_date; i>=1; i--){
						dates_options += '<option value="'+i+'">'+i+'</option>';
					}
				} else {
					for(var i=total_days_in_month; i>=1; i--){
						dates_options += '<option value="'+i+'">'+i+'</option>';
					}
				}
				$('#birthday_day').html(dates_options);
			});
			function daysInMonth (month, year) { 
                return new Date(year, month, 0).getDate(); 
            }
			/* date of birth Function Script */
			function verify_login_code(){		
				var org_code = $("#login_code").val();		
				var verify_code = $("#verify_code").val();		
				if(org_code != verify_code){	
					$("#lbl_error_code").show();
					$('#login_btn').attr('disabled','disabled'); 
				} else {		
					$("#lbl_error_code").hide();
					$('#login_btn').removeAttr('disabled');	
				}		
			}	
		</script>
    </body>
</html>